blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
36a1a23d2ee1286111de014c9e378646cf722740 | Shell | Funz/plugin-Scale | /src/main/scripts/Scale-tsunami.sh | UTF-8 | 731 | 3.515625 | 4 | [] | no_license | #!/bin/bash
export SCALE_HOME="/SCALE/scale6.2"
export CMDS=${SCALE_HOME}/bin
PID_FILE=$PWD/PID
echo $$ >> $PID_FILE
input="$1"
output="$(basename $input).out"
msgs="$(basename $input).msg"
${CMDS}/scalerte $input $output > $msgs 2>&1 &
PID_SCALE=$!
echo $PID_SCALE >> $PID_FILE
wait $PID_SCALE
# test for "congrat... | true |
72aaff516a887cccfc0c79e4baf40b8af1df8998 | Shell | knaw-huc/loghi | /docker/buildAll.sh | UTF-8 | 921 | 3 | 3 | [
"MIT"
] | permissive | #!/bin/bash
CURRENT=$(pwd)
DIR_OF_SCRIPT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
cd $DIR_OF_SCRIPT
BASE="$(realpath $DIR_OF_SCRIPT/..)"
# TODO Maybe this needs to also update the submodules (Rutger?)
cd $BASE
git pull
git submodule update --recursive --remote
#cd $BASE/prima-core-libs
#... | true |
3f08a9b2d26ffb85e187c89249299c05ee4bccb5 | Shell | farzeen5/day9 | /Employee_wage_Computation_problem.sh | UTF-8 | 300 | 2.90625 | 3 | [] | no_license | ispresent=0
isparttime=2
isabsent=1
wageperhr=20
for ((i=0;i<20:i++))
do
num=$((RANDOM%3))
case $num in
0) workinghr=8 ;;
1) workinghr=0 ;;
2) workinghr=4 ;;
esac
salary=$((salary+(wageperhr*workinghr)))
array[i]=$((wageperhr*workinghr))
done
echo ${array[@]}
echo "total month wage" $salary
| true |
bb9a76d37783144c7fefff05a2aa07478b4c4493 | Shell | imogurcu/Hello-Bash | /zip_unzip_files.sh | UTF-8 | 276 | 3.359375 | 3 | [] | no_license | #!/bin/bash
dir_location=$(pwd)
ZIP_CONTROL=$dir_location/log/txt_logs.zip
if [ -e "$ZIP_CONTROL" ]
then
rm $dir_location/log/txt_logs.zip
else
cd log
zip txt_logs.zip *.txt
cd ..
fi
unzip -d $dir_location/log/unzipped_files $dir_location/log/txt_logs.zip
| true |
c32797ea99c0cba479761e2f61586708cd860cf1 | Shell | eswaribala/v_unix_2020 | /menufunction.sh | UTF-8 | 580 | 3.46875 | 3 | [] | no_license | #!/bin/bash
# using select in the menu
echo -e "$color: \\033[38;5;7mhello\\033[48;5;9mworld\\033[0m"
function diskspace {
clear
df -k
}
function whoseon {
clear
who
}
function memusage {
clear
cat /proc/meminfo
}
PS3="Enter option: "
select option in "Display disk space" "Display logged on users" "Disp... | true |
41d1719bfb44a04599af9142bbed2637e05ab767 | Shell | mkorangestripe/linux | /linux-notes/networking-config | UTF-8 | 3,002 | 3.546875 | 4 | [] | no_license | #!/bin/bash
# Enable/disable networking:
/etc/sysconfig/network:
NETWORKING=yes
HOSTNAME=server1
/etc/init.d/network status # status of network service
/etc/init.d/NetworkManager # controls eth0 if NM_CONTROLLED="yes" in ifcfg-eth0
# Networkmanager info:
nmcli device show
nmcli connection show
ifconfig -a # list... | true |
4442b41f15e92f6147dd608ebafbe65184542bbb | Shell | kliment-olechnovic/voronota | /tests/jobs_scripts/do_parallel_vertices_calculations_using_openmp.bash | UTF-8 | 1,020 | 2.859375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
TMPDIR=$(mktemp -d)
trap "rm -r $TMPDIR" EXIT
SUBDIR=$OUTPUTDIR/parallel_vertices_calculations_using_openmp
mkdir -p $SUBDIR
g++ -O3 -fopenmp -o $TMPDIR/voronota_openmp $VORONOTADIR/src/voronota.cpp $VORONOTADIR/src/modes/*.cpp
cat $INPUTDIR/single/structure.pdb \
| $TMPDIR/voronota_openmp get-balls-fro... | true |
d5c430944d724c9b4136efc5909e5f311ed646d1 | Shell | DFranzkoch/IGEL-Custom-Partitions | /CP_Source/Apps/HP_ZCentral/build-hpzcentral-cp.sh | UTF-8 | 1,491 | 3.375 | 3 | [
"LicenseRef-scancode-warranty-disclaimer",
"MIT"
] | permissive | #!/bin/bash
#set -x
#trap read debug
# Creating an IGELOS CP for HP ZCentral
## Development machine (Ubuntu 18.04)
sudo apt install unzip -y
# Obtain latest package and save into Downloads
if ! compgen -G "$HOME/Downloads/ZCentral_RB_*.tar.gz" > /dev/null; then
echo "***********"
echo "Obtain latest .tar.gz packa... | true |
74ae7a8648a0aa1655e02c704e2f7982ba0f89e2 | Shell | mrvannghia2015/Linux | /NguyenVanNghia/NguyenVanNghia/baitap-shellscript/bt4.sh | UTF-8 | 271 | 2.515625 | 3 | [] | no_license | if [ ` date +%H ` -ge 1 ] && [ ` date +%H ` -le 10 ]
then
echo "Chào buổi sáng"
fi
if [ ` date +%H ` -gt 10 ] && [ ` date +%H ` -le 14 ]
then
echo "Chào buổi trưa"
fi
if [ ` date +%H ` -gt 14 ] && [ ` date +%H ` -le 24 ]
then
echo "Chào buổi tối"
fi
| true |
fe3e8a83b0b5ab043fab6d2e74d9a1d2696e1488 | Shell | zygolife/Massospora_cicadina_ONT_asm | /pipeline/flye/02a_medaka_align.sh | UTF-8 | 560 | 2.890625 | 3 | [] | no_license | #!/usr/bin/bash -l
#SBATCH -C xeon -p short -n 96 -N 1 --mem 256gb --out logs/flye_medaka_aln.%A.log
module unload miniconda2
module unload miniconda3
module load medaka/1.5.0
module load workspace/scratch
CPU=$SLURM_CPUS_ON_NODE
if [ -z $CPU ]; then
CPU=1
fi
READS=input/guppy6/5FC.guppy6_0_1.fastq.gz
OUTDIR=asm/me... | true |
7be75f31c1fa967f507ddc326eebfda0edcfbaf8 | Shell | kwstannard/kws-scripts-and-configs | /bin/dnd_exec | UTF-8 | 186 | 2.75 | 3 | [] | no_license | #!/usr/bin/env sh
if [ "$(defaults read com.apple.controlcenter "NSStatusItem Visible FocusModes")" -eq 0 ]; then
exec "$@"
else
printf "Do Not Disturb is on. Command not run\n"
fi
| true |
7bb57d94222b355f7c01c8a0d726ae1d3ffacdac | Shell | eludom/rc.local | /anaconda.sh | UTF-8 | 365 | 3.34375 | 3 | [] | no_license | # function for interactively selecting anaconda/python3
# add path to the front if not there
anaconda() {
if [ "$1" == "on" ]; then
echo pathfirst $1
pathfirst /home/gmj/anaconda3/bin
elif [ "$1" == "off" ]; then
echo pathrm /home/gmj/anaconda3/bin
pathrm /home/gmj/anaconda3/bin
else
e... | true |
d86cc82f14d13f6f4893fd00d685f3375108a84e | Shell | bellflower2015/IDOL | /download_bdb.bash | UTF-8 | 426 | 3.125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
TARGETFILE=db-6.1.38.NC.tar.gz
TARGETURL=https://download.oracle.com/otn/berkeley-db/$TARGETFILE
SRCDIR=$PWD/depends/sources
STAMPDIR=$SRCDIR/download-stamps
[ -f $SRCDIR/$TARGETFILE ] && exit 0
mkdir -p $STAMPDIR && \
wget --no-use-server-timestamps $TARGETURL -O $SRCDIR/$TARGETFILE && \
pushd $... | true |
675b0afbd4ed3331ea29f61e6cc7eb0659c5594f | Shell | syyyr/home-repo | /.config/bashrc/common.bash | UTF-8 | 4,171 | 3.578125 | 4 | [] | no_license | #!/bin/bash
if [[ -z "$STY" ]] && screen -ls > /dev/null; then
screen -wipe
fi
case $- in
*i*) ;;
*) return;;
esac
stty susp undef
stty -ixon
shopt -s histappend
# This cannot be done in .inputrc
bind -x '"\C-z":"fg &> /dev/null"'
eval "$(dircolors | sed 's/ow=34;42:/ow=30;42:/')"
_FORMAT_EXEC_TIME(... | true |
0874efc6c51d8e4694fca1ec56322c8441ebdca0 | Shell | greg-1-anderson/drush-dgd7-scripts | /00-00-init | UTF-8 | 873 | 3.078125 | 3 | [] | no_license | #!/bin/bash
#
# There are only a few things that need to be done
# in this file.
#
# 1. Customize the variable MYSQL_BASE or PGSQL_BASE
# as appropriate. The user specified must have DROP
# and CREATE priviledges.
#
# 2. If you are using MYSQL, then replace the PGSQL_BASE
# with MYSQL_BASE in the various dat... | true |
32d00c328372b1f1ce17a4a0cab8454304c3fa87 | Shell | my127/docker-php | /installer/base/extensions/xdebug.sh | UTF-8 | 1,623 | 3.40625 | 3 | [] | no_license | #!/bin/bash
function install_xdebug()
(
if ! has_extension xdebug; then
compile_xdebug
fi
docker-php-ext-enable xdebug
)
function compile_xdebug()
(
set -o errexit -o pipefail
case "$VERSION" in
5.6)
XDEBUG_PACKAGE="xdebug-2.5.5"
# Build xdebug... | true |
c12822d05de89b80657b1860d3090e55f5dfef96 | Shell | gganis/tools | /bin/build | UTF-8 | 748 | 3.453125 | 3 | [] | no_license | #!/bin/sh
if test "x$ROOTSYS" = "x"; then
echo "ROOTSYS undefined!"
exit 1
fi
jflag="-j2"
if test -f /proc/cpuinfo ; then
np=`grep processor /proc/cpuinfo | wc -l`
npb=`expr $np + 1`
jflag="-j$npb"
fi
if test ! "x$1" = "x"; then
jflag="-j$1"
fi
echo "Using jflag: $jflag"
outfile="compilation.times"
... | true |
24cc422483b146a9131b82978e1d87e2efcdba4a | Shell | maksim-se/ocp4_setup_upi_kvm | /.install_scripts/destroy.sh | UTF-8 | 2,934 | 3.703125 | 4 | [] | no_license | #!/bin/bash
echo
echo "##################"
echo "#### DESTROY ###"
echo "##################"
echo
if [ -n "$VIR_NET_OCT" -a -z "$VIR_NET" ]; then
VIR_NET="ocp-${VIR_NET_OCT}"
fi
for vm in $(virsh list --all --name | grep "${CLUSTER_NAME}-lb\|${CLUSTER_NAME}-master-\|${CLUSTER_NAME}-worker-\|${CLUSTER_NAME}-b... | true |
18bb2c6ff3d991bd88eda92fa6a93bc156c385d3 | Shell | jacobm3/x-gold | /ali-auth-method/ram-vault-token.sh | UTF-8 | 735 | 2.640625 | 3 | [] | no_license | #!/bin/bash
export VAULT_ADDR=https://vault.jacobm.ali.hashidemos.io:8200
export VAULT_NAMESPACE=ali-web
# Use RAM instance metadata to authenticate to Vault
json=`curl -s 'http://100.100.100.200/latest/meta-data/ram/security-credentials/web-instance-role'`
#echo $json | jq; echo;
AccessKeyId=`echo $json | jq -r .... | true |
6b378623f9236c8bd0c5a128c36685c1afe6d434 | Shell | whileweb/self-signed-certificates | /generate_ca.sh | UTF-8 | 414 | 3.34375 | 3 | [] | no_license | #!/bin/bash
echo "Certificate authority (CA): generate RootCA.pem, RootCA.key, RootCA.crt"
if [ "$1" = "" ]
then
SUBJECT="/C=UA/CN=Localhost-Root-CA"
else
SUBJECT=$1
fi
openssl req -x509 -nodes -new -sha256 -days 365 -newkey rsa:2048 \
-keyout "$PWD"/certs/RootCA.key \
-out "$PWD"/certs/RootCA.pem \
-subj ... | true |
6b16b4a66c0358b2f3dbde3c7dc76691f974426f | Shell | a10networks-ci/slave-scripts | /post_test_hook.sh | UTF-8 | 3,373 | 3.609375 | 4 | [] | no_license | #!/bin/bash -xe
TEMPEST_CONFIG_DIR="$BASE/new/tempest/etc"
if [ "$1" = "lbaasv1" -o "$1" = "apiv1" ]; then
f=$TEMPEST_CONFIG_DIR/tempest.conf
sudo mv $f $f.old
sudo touch $f
sudo chmod a+rwx $f
cat $f.old | sed -e 's/api_extensions = all/api_extensions = lbaas/g' > $f
fi
# $BASE/new/neutron-lbaas... | true |
c77fe835294b0b7a275a68186275ed7b2d183361 | Shell | Jaskier234/quantization | /test.sh | UTF-8 | 632 | 3.21875 | 3 | [] | no_license | #!/bin/bash
for f in $2*.in; do
$1 <$f >ans.out 2> ans.err
diff ans.out ${f%in}out -q -w &> /dev/null
if [ $? -eq 0 ]
then
diff ans.err ${f%in}err -q -w &> /dev/null
if [ $? -eq 0 ]
then
echo "test $f OK"
else
echo "test $f ZŁA ODPOWIEDŹ"
... | true |
bd29265048a0c94ebbca47c132c99f24566f9c4f | Shell | shayan-ys/HomeCloud | /scripts/deploy.sh | UTF-8 | 298 | 2.8125 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
source $PWD/scripts/common.sh
set -e
# Ensure that we are using our cluster
kubectl config use-context "$KUBECTL_CONTEXT"
echo "Deploying application..."
helm upgrade "$DEPLOYMENT_NAME" "$PWD/$SERVICE_NAME" \
--install \
--values "$PWD"/"$SERVICE_NAME"/secret.yaml
| true |
aa28151794a051613d0c771f4be67e65ce5e18a1 | Shell | aaeon-kunyi/meta-srg52x | /recipes-bsp/srg52-wl183x/files/srg52c-wl18xx-tether | UTF-8 | 14,133 | 3.359375 | 3 | [
"MIT",
"GPL-2.0-only"
] | permissive | #!/bin/bash -e
#
# Copyright (c) 2016-2020 Robert Nelson <robertcnelson@gmail.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the righ... | true |
7f4c16ced113965fbd427b492dd1e5dae2b4c310 | Shell | ComplianceAsCode/content | /linux_os/guide/services/sssd/sssd_ssh_known_hosts_timeout/tests/wrong_value.fail.sh | UTF-8 | 348 | 2.6875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# packages = /usr/lib/systemd/system/sssd.service
SSSD_CONF="/etc/sssd/sssd.conf"
# The rule sssd_memcache_timeout requires memcache_timeout = 86400
# Let's put there a different value to fail
TIMEOUT="99999"
systemctl enable sssd
mkdir -p /etc/sssd
touch $SSSD_CONF
echo -e "[ssh]\nssh_known_hosts_timeou... | true |
52110e370d7fcf4526fad95927c0bb544655ff6f | Shell | ze00/PVZ_Cheater | /build.sh | UTF-8 | 796 | 2.5625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
#File : build.sh
#Project:
#Author : ze00
#Email : zerozakiGeek@gmail.com
#Date : 2018-04-10
set -e
cd pvz ; git pull
make release
cp libpvz_server.so ../na/lib/armeabi
cd ..
cp -r pvz/pvz_client term/src/main/assets
./gradlew assembleDebug
v=$(cat v)
papk=$(printf "PVZ_CHEATER_V%03d.apk" $v)
p... | true |
5237d3adc5d48a59e38237d110879c4aad491f84 | Shell | Anil9860/Shell_Script | /ReadOnly_Fun_Var.sh | UTF-8 | 445 | 3.421875 | 3 | [] | no_license | #! /bin/bash
print()
{
echo $1 $2 $3
}
print hello
#It will print only those argument results those many argument used.
var=30
readonly var
#After this we can not use the Varibale to change a value.
echo "var = $var"
#For Function readonly
readonly -f print
#For Function we have to use "-f"
print()
{
echo ... | true |
a31ed938e50a1ef20d597183577d7af8c72ca064 | Shell | obastemur/jerryscript | /tools/cppcheck/cppcheck.sh | UTF-8 | 887 | 2.84375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Copyright 2014-2015 Samsung Electronics Co., Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by appl... | true |
cc2028c278256fac38055cc9d50f49cc29da4a48 | Shell | dgiantsidi/go1.9.4-installation-script | /install_go1.4.9.sh | UTF-8 | 1,008 | 3.109375 | 3 | [] | no_license | #!/usr/bin/env bash
## execute with `source install_go1.4.9.sh` so
## that env variables be set in current shell and
## not in child-sub-shells
## `export` exports the variable assignment to sub-shells, i.e.
## shells which are started as child processes of the shell
## containing the export directive. Your command-l... | true |
e7067f951f4cd41bf00612a176db2775d76fdf5e | Shell | AppelKoos/Linux-RTCSleepTimer | /sleep_timer.sh | UTF-8 | 1,843 | 3.9375 | 4 | [] | no_license | #! /bin/bash
#-------------------------------------------
#Created by Johan van der Merwe (2021/05/20)
#Last Updated (2021/05/20)
#
#[DESCRIPTION]
#Use date to calculate the next day and set a user-defined time to wake up the next day using rtcwake
#
#[USAGE]
# sleep_scheduler [hh] [mm]
# sleep_scheduler 08 00
#------... | true |
8d2645a9a2061de49d96c0d00784ef9b55a13c98 | Shell | taegyunkim/proxy-wasm-examples | /path-based-counter/release.sh | UTF-8 | 1,490 | 3.953125 | 4 | [] | no_license | #!/bin/sh
printUsage() {
echo ""
echo "Usage: $0 <command> <filter name> <id> <namespace>"
echo -e "command: deploy or undeploy"
echo -e "filter name: the name and tag of filter to deploy/undeploy"
echo -e "id: the id for this filter"
echo -e "namespace: to apply this filter"
exit 1
}
if [... | true |
ad335d212cafcc216b24e94922b9664640603111 | Shell | amleb/sh-tools | /tools/pfx | UTF-8 | 592 | 4.0625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
#Extracts .pfx files to .cer .key and .crt files
#Usage: pfx file.pfx name
#where "name" is name of created files
if [ $# -ne 2 ]; then
echo "Usage: pfx file.pfx name"; exit 1
fi
if ! [ -f $1 ] ; then
echo "File does not exists." >&2; exit 1
fi
tmpFile=$(mktemp)
read -s -p "Enter Passwo... | true |
6b6ef254a13c9967665f1a2965478183851ba3d0 | Shell | oscoin/oscoin | /scripts/ci-cache.sh | UTF-8 | 1,080 | 3.75 | 4 | [
"BSD-2-Clause"
] | permissive | #!/usr/bin/env bash
set -euxo pipefail
deps_hash=$(cat package.yaml snapshot.yaml | sha256sum | cut -d' ' -f1)
bucket="gs://oscoin-build-cache/v6"
local_cache_archive="stack-root.tar.gz"
remote_cache_master="${bucket}/stack-root-master.tar.gz"
remote_cache_hashed="${bucket}/stack-root-${deps_hash}.tar.gz"
function l... | true |
60cc97a3441fdf7b2283b3ad3b2699b97c2dd05f | Shell | mfkiwl/DSL | /Ubuntu/updates/00-automount.sh | UTF-8 | 646 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# 00-automount.sh
# Ubuntu
#
# Created by Kanav Gupta on 16/01/21.
#
echo """\
[Unit]
Description=Automount disks according to disk labels
[Service]
ExecStart=/opt/sdslabs/automount.sh
[Install]
WantedBy=multi-user.target
""" > /etc/systemd/system/automount.service
mkdir -p /opt/sdslabs
echo """\... | true |
4b82475b962b851df5936e96c88cbc036235d592 | Shell | amperity/sparkplug | /cluster/entry.sh | UTF-8 | 276 | 3.25 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
COMMAND="$1"
SPARK_SCRIPT="${SPARK_HOME}/${COMMAND}"
shift || exit 2
if [[ -x $SPARK_SCRIPT ]]; then
export SPARK_NO_DAEMONIZE=1
export SPARK_DIST_CLASSPATH=$(/opt/hadoop/bin/hadoop classpath)
exec "$SPARK_SCRIPT" "$@"
else
exec "$COMMAND" "$@"
fi
| true |
319e113d5b7de60ed9c134a1bcd25b5cf7a8f926 | Shell | rujuta610/OS_Assignment | /lab 5/6.sh | UTF-8 | 89 | 2.78125 | 3 | [] | no_license | clear
b=` expr $1 + 1 `
a=` expr $1 \* $b `
c=` expr $a \/ 2 `
echo "the sum is : $c "
| true |
ab4ff99d02279e0ed3893432dd5006256d0f1c46 | Shell | shreyasgaonkar/aws-cli-code-samples | /sns-samples/sms-dashboard/sms-dashboard.sh | UTF-8 | 2,247 | 4.375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -e
usage="
Usage: $(basename "$0") -b BUCKET_NAME [-r REGION] [-y YEAR] [-m MONTH]
Calls S3 to retrieve and parse the usage report to calculate number of messages sent in a calendar month
where:
-b Takes the input SMS usage report S3 bucket name
-r (Optional) Overrides region of S3 bucket. D... | true |
bf2a196613b5a28739f028b120693595a580f383 | Shell | abveritas/bundles | /imagemagick/PKGBUILD | UTF-8 | 2,041 | 2.578125 | 3 | [] | no_license | # $Id: PKGBUILD 84588 2010-07-01 05:19:40Z dgriffiths $
# Contributor: Eric Belanger <eric@archlinux.org>
# Maintainer: DAniel J Griffiths <ghost1227@archlinux.us>
pkgname=imagemagick
pkgver=6.6.2.10
pkgrel=1
pkgdesc="An image viewing/manipulation program"
arch=('i686' 'x86_64')
url="http://www.imagemagick.org/"
licen... | true |
56a3a8f430e50e649541051d4ce7ec841c8262b6 | Shell | alebastr/dotfiles | /zprofile | UTF-8 | 156 | 2.765625 | 3 | [] | no_license | _src_profile()
{
emulate -L ksh
# source profile
if [ -f ~/.profile ]; then
source ~/.profile
fi
}
_src_profile
unset -f _src_profile
| true |
62e891a88e275991e8bd4ad7ae68188d2326b87f | Shell | lewismc/nipt | /watch.sh | UTF-8 | 1,245 | 2.578125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you... | true |
de2148b0947fbd0af6f435a08d7ee9ac23cfee8f | Shell | MyRequiem/LFS | /stage-2-blfs-stable-x86_64/build/x/fonts/gelasio-font-ttf.sh | UTF-8 | 1,866 | 3.6875 | 4 | [
"MIT"
] | permissive | #! /bin/bash
PRGNAME="gelasio-font-ttf"
ARCH_NAME="$(echo ${PRGNAME} | cut -d - -f 1)"
VERSION="13042020"
### Gelasio (Gelasio TTF font)
# Шрифт совместимый со шрифтом MS Georgia и fontconfig будет его использовать
# если запрошивается MS Georgia, но он не устанавлен.
# Required: xorg-applications
# ... | true |
ad009ac1a37ce7c0723f3e1271836ed5b19d4824 | Shell | rossning92/MyScripts | /myscripts | UTF-8 | 1,692 | 3.828125 | 4 | [] | no_license | #!/bin/bash
set -e
cd "$(dirname "$0")"
# Check if Debian-based Linux distro
if [[ "$(uname)" == "Linux" ]] && [[ -f "/etc/debian_version" ]]; then
# Install required packages
declare -a packages=(
"python3-pip"
"suckless-tools" # for dmenu
"sxhkd"
"wmctrl"
)
for package... | true |
43c58701be870490473269385961c25ccfdab8b3 | Shell | OzAmram/DYAna | /analyze/combine/AFB_fits/scripts/plot_impacts.sh | UTF-8 | 276 | 2.734375 | 3 | [] | no_license | #!/bin/bash
set -x
cd impacts/
if [ -f file_0.root ]; then
rm mbin?.json
rename file mbin *.root
rename .root .json *.root
fi
for idx in 0 1 2 3 4 5 6 7
do
plotImpacts.py -i mbin_${idx}.json -o impact_plot_mbin${idx} -t rename.json --POI Afb
done
cd ..
| true |
cbd3967f055efb7b704d1e8672777b5d46c45a7e | Shell | fbritez/EntregaLaboratorio | /Entrga Laboratorio/Entrega/instalation.sh | UTF-8 | 1,537 | 3.125 | 3 | [] | no_license | #!/bin/bash
file=$1
user=$2
pass=$3
includeView=$4
sudo apt-get install -y apache2
export DEBIAN_FRONTEND="noninteractive"
echo 'mysql-server mysql-server/root_password password '$pass '
mysql-server mysql-server/root_password_again password '$pass > /root/src/debconf.txt
debconf-set-selections /root/src/debconf.t... | true |
2037e0a4bae3408dd85729e1031ef19ecc9cc3bc | Shell | BD2KGenomics/dcc-redwood-client | /scripts/build_docker_image.sh | UTF-8 | 296 | 2.921875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
version=${1}
tar xf target/redwood-client-${version}-dist.tar.gz
docker build -t quay.io/ucsc_cgl/redwood-client:${version} redwood-client-${version}
rm -r redwood-client-${version}
echo "$(basename $0): built docker image: quay.io/ucsc_cgl/redwood-client:${version}"
| true |
55e5334c27195bf4da6e49bc3e582470510b3b81 | Shell | c-14/dot | /lib/dot_check.sh | UTF-8 | 612 | 3.65625 | 4 | [
"MIT"
] | permissive | # vim: ft=sh
dot_check() {
_dot_check() { #{{{
local dotfile orig origdir linkto message
local delimiter=","
dotfile="$1"
orig="$2"
message="${dotfile}${delimiter}${orig}"
# if dotfile doesn't exist
if ! [[ -e "${dotfile}" || -e "${orig}" || -L "${orig}" ]]; then
echo "$(prmpt 1 ✘)... | true |
87e92fb428880bf38ba4f2299679f3369f6425f6 | Shell | adamklein/dotfiles | /.bash_aliases | UTF-8 | 1,627 | 2.765625 | 3 | [] | no_license | alias v='vi'
alias ..="cd .."
alias ...="cd ../.."
alias ....="cd ../../.."
# reload bashrc
alias rrc="source ~/.bashrc"
# git
alias ga='git add'
alias gp='git push'
alias gpb='git push --set-upstream origin $(git branch | grep \* | cut -d " " -f2)'
alias gl='git log --oneline'
alias gs='git status'
alias gd='git d... | true |
b7a77a45d8397c41a884aec04cd0b64cd1155082 | Shell | ElderMael/micronaut-pulumi-k8s-example | /build-and-publish.sh | UTF-8 | 613 | 2.921875 | 3 | [] | no_license | #!/usr/bin/env bash
set -ex
image_name="${1:-"eldermael/micronaut-pulumi"}"
if [[ ! -d "infrastructure/crds" ]]; then
mkdir -p "infrastructure/crds"
kubectl get crds podmonitors.monitoring.coreos.com -o yaml > "infrastructure/crds/podmonitor.yml"
pushd "infrastructure"
crd2pulumi --nodejs "crds/podmonito... | true |
b058ff0e3c5851d880daa6b5ed4f4fca9039f132 | Shell | williamguilhermesouza/dotfiles | /.config/sway/scripts/alacrittygenerator.sh | UTF-8 | 1,735 | 3.171875 | 3 | [] | no_license | # !/bin/bash
FONT=$1
FONT_MONO=$2
FONTSIZE=$3
LINE_PADDING=$4
INNER_PADDING=$5
TERMINAL_CONFIG=$6
LAUNCHER_CONFIG=$7
FOREGROUND=$8
BACKGROUND=$9
BLACK=${10}
RED=${11}
GREEN=${12}
YELLOW=${13}
BLUE=${14}
MAGENTA=${15}
CYAN=${16}
WHITE=${17}
ACC_BLACK=${18}
ACC_RED=${19}
ACC_GREEN=${20}
ACC_YELLOW=${21}
ACC_BLUE=${... | true |
c0c98824098ee9613dd948f9d4137fa3f570a363 | Shell | Morr0/Personal-Scripts | /git-init.sh | UTF-8 | 448 | 2.765625 | 3 | [] | no_license | # Get current branch
alias gcurr='git branch --show-current'
# push branch
alias gup='git push origin $(git branch --show-current)'
# pull branch
alias gdown='git pull origin $(git branch --show-current)'
# git reset last commit to staging area
alias grsoft='git reset --soft HEAD~1'
# git reset hard last commit
ali... | true |
78f322dd0fea88ba3ae211bb6938966007822a58 | Shell | DSantamaria18/dotfiles | /.zshrc | UTF-8 | 6,813 | 2.921875 | 3 | [] | no_license | # Start configuration added by Zim install {{{
#
# User configuration sourced by interactive shells
#
# -----------------
# Zsh configuration
# -----------------
#
# History
#
# Remove older command from the history if a duplicate is to be added.
setopt HIST_IGNORE_ALL_DUPS
#
# Input/output
#
# Set editor default ... | true |
00eb4009ed158daa3fd7ac00e7af1579018caba5 | Shell | ymxl85/MRs-based-test-suite-for-APR | /original/Angelix/schedule/rds/3/oracle | UTF-8 | 2,789 | 2.796875 | 3 | [] | no_license | #!/bin/bash
set -euo pipefail
SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
test-schedule () {
diff <(${ANGELIX_RUN:-eval} ./schedule $2 $1) <($SCRIPT_DIR/../golden/schedule $2 $1)
}
case "$1" in
1)
test-schedule "4 4 5" "$SCRIPT_DIR/inputs10/in1"
;;
2)
test-schedule "3 5 4" ... | true |
aa3d1c1764c44d185f7f565694b08324cdad79e9 | Shell | helloworld1983/NetFpgaProcessor | /newReferenceRouterProject | UTF-8 | 1,037 | 3.671875 | 4 | [] | no_license | #!/bin/bash
#Script sets up and begins to compile a new project
#check if they have provided a path name
if [ -z "$1" ];
then
printf "Usage: ./newReferenceRouterProject <directory name>\n"
exit
fi
#Check if directory exists, delete it if so
if [ -d /root/netfpga/projects/$1 ]
then
rm -rf /root/netfpga/projects/$1... | true |
e6584be304ab5147d7a3c50ae69b54369cff7935 | Shell | lwz322/xidian_script | /xidian_flow.sh | UTF-8 | 323 | 2.640625 | 3 | [] | no_license | #!/bin/sh
log_file="./xidian_flow.log"
script_path="/root/xidian_me_log.py"
[ -f $log_file ] && pre_value=$(tail -1 $log_file | awk '{print $6}')
query_output=$(python3 $script_path 2>/dev/null)
query_value=$(echo $query_output | awk '{print $6}')
[ "$pre_value" != "$query_value" ] || exit 0
echo $query_output>> $log_f... | true |
52a3c035f1fbd1107b234fa7cf46ade4f749bf23 | Shell | dan4222/guac-install | /docker-install.sh | UTF-8 | 6,085 | 4.125 | 4 | [] | no_license | #!/bin/bash
# Check if user is root or sudo
if ! [ $(id -u) = 0 ]; then echo "Please run this script as sudo or root"; exit 1 ; fi
# Version number of Guacamole to install
GUACVERSION="1.3.0"
# Initialize variable values
installTOTP=""
# This is where we'll store persistent data for guacamole
INSTALLFOLDER="/opt/gu... | true |
429b582a3c83a9df8c500261dcde100afad0de0d | Shell | darkfr3ak/minimal-zshrc | /.zshrc | UTF-8 | 1,314 | 2.828125 | 3 | [] | no_license | # Aliases
alias ll='ls -l'
alias la='ls -la'
alias path="echo $PATH | sed 's/:/\n/g'"
alias v='vim'
autoload -U zutil
autoload -U compinit
autoload -U complist
autoload -U promptinit
promptinit
prompt walters
compinit -i
# Uncomment this line if you want jobs in background to contiue processing when exiting shell. On... | true |
bdb4635e1abb3333b1b4b769345b9447704e8307 | Shell | miclip/acme-gitlab-aws-pas-dojo | /tasks/create-vm.sh | UTF-8 | 836 | 3.5 | 4 | [] | no_license | cat /var/version && echo ""
set -eux
mkdir generated-state
vars_files_args=("")
for vf in ${VARS_FILES}
do
vars_files_args+=("--vars-file ${vf}")
done
generated_state_path="generated-state/$(basename "$STATE_FILE")"
if [ -e "state/$STATE_FILE" ]; then
cp "state/$STATE_FILE" "$generated_state_path"
fi
export... | true |
c605548c3975d110645789648c7c333234631056 | Shell | chmeliik/osbs-box | /koji-base/bin/pick-koji-profile.sh | UTF-8 | 528 | 4.03125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -euo pipefail
# Pick a koji profile to be used by the default koji command.
KOJI_USER=${1:-''}
if [ ! "$KOJI_USER" ]; then
echo "Please supply a username as the 1st argument" >&2
exit 1
fi
CONF_DIR=~/.koji/config.d
if [ ! -e "$CONF_DIR/$KOJI_USER.conf" ]; then
echo "The $KOJI_USER koji ... | true |
3bfd5f5ed04fb43cbb76caf275e87dab78772226 | Shell | petronny/aur3-mirror | /libsmartpen-git/PKGBUILD | UTF-8 | 1,121 | 2.8125 | 3 | [] | no_license | # Maintainer: <themanifold@gmail.com>
pkgname=libsmartpen-git
pkgver=20120329
pkgrel=1
pkgdesc="A library for communicating with the Livescribe Pulse Smartpen."
arch=('i686', 'x86_64')
url="https://github.com/srwalter/libsmartpen"
license=('GPL2')
groups=()
depends=('openobex' 'python2')
makedepends=('git' 'pyrex')
ch... | true |
26afde5b68c1763e57242c95093328f320575851 | Shell | sebsebseb1982/thermospi.old | /scripts/init.sh | UTF-8 | 498 | 2.640625 | 3 | [] | no_license | #!/bin/bash
source ~/thermospi/scripts/setVars.sh
echo "Init GPIO"
# On charge les drivers pour les capteurs de temperature
sudo modprobe w1-gpio
sudo modprobe w1-therm
# On met les sorties de relais a 0
gpio mode 0 out
gpio mode 1 out
gpio mode 2 out
gpio mode 3 out
gpio write 0 0
gpio write 1 0
gpio write 2 0
gpio... | true |
b7218d40e2449bee3990f6978665ca7f47fd7f31 | Shell | firedot/kitchen_ec2 | /scripts/provision.sh | UTF-8 | 1,985 | 3.125 | 3 | [
"MIT"
] | permissive | apt-get clean
apt-get update
# Hide Ubuntu splash screen during OS Boot, so you can see if the boot hangs
#apt-get remove -y plymouth-theme-ubuntu-text
#sed -i 's/GRUB_CMDLINE_LINUX_DEFAULT="quiet"/GRUB_CMDLINE_LINUX_DEFAULT=""/' /etc/default/grub
#update-grub
# Add no-password sudo config for vagrant user
#echo "%vag... | true |
2de046fa95352bb01a5c94647d484085a3e579ce | Shell | freebsd/freebsd-ports | /Tools/scripts/ardiff | UTF-8 | 2,344 | 4.09375 | 4 | [
"BSD-2-Clause",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/sh
#
# ardiff tries to make it easy for you to compare two archives. It makes no
# claims about originality, correctness or usefulness, but it saved a lot of
# time for at least one port maintainer.
#
# DEPS: vim, p7zip
# TODO: word-by-word, more intelligent diffs
#
usage () {
if [ "$#" -gt 0 ]; then
echo "... | true |
d42c2246985cea97a94bb629a09d3f5e9aa737f5 | Shell | OpenSmalltalk/opensmalltalk-vm | /deploy/pharo/filter-exec.sh | UTF-8 | 1,459 | 3.625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Deployment filter for Pharo (compatible with Travis and AppVeyor)
# (deploy/filter-exec.sh adapted for Pharo)
#
# execute script if:
# - Deployment secrets are available (see deploy-key.sh)
# - FLAVOR is 'pharo.cog.spur'
# - REPOSITORY=OpenSmalltalk/opensmalltalk-vm
# - Build is not triggered by a... | true |
d88b1516107e25b6c5a006ecdd44a4baaf604d9b | Shell | eunicechen1987/data_manage1 | /stat/shell/sync_mysql_tags.sh | UTF-8 | 5,358 | 3.21875 | 3 | [] | no_license | #!/usr/bin/env bash
##################################################################
## 从 MySQL同步标签相关信息 ##
##################################################################
## history: ##
## 2019-09-21 YuLei first release ... | true |
5b01cce0fa7a8c8053ebb447c8922be2555a227d | Shell | AndyTaylorTweet/Pi-Star_Binaries_sbin | /pistar-findmodem | UTF-8 | 13,491 | 4.21875 | 4 | [] | no_license | #!/bin/bash
#
##############################################################################
# #
# Pi-Star Find Modem Tool. #
# ... | true |
68708b1b05ef80ec2ae17c59f4dabde857bb5e95 | Shell | tomohikoseven/DPlatform-ShellCore | /apps/KeystoneJS.sh | UTF-8 | 398 | 2.546875 | 3 | [
"MIT"
] | permissive | #!/bin/sh
. sysutils/Node.js.sh
. sysutils/MongoDB.sh
cd
# Install the generator
npm install -g generator-keystone
# Create project folder
mkdir keystone-site-project
cd keystone-site-project
yo keystone
node keystone
whiptail --msgbox "KeystoneJS installed!
To run your KeystoneJS project: cd keystone-site-proje... | true |
c8b86cd4b596e3325f922ebd7b18f741cdd78b2b | Shell | FelipeCJSEP/Sorting-algorithms | /Selection Sort/Selection Sort in Bash.sh | UTF-8 | 761 | 4 | 4 | [] | no_license | #!/bin/bash
# SELECTION SORT IN BASH
# function algorithm that returns the sorted array
# algoritmo da função que retorna o array ordenado
selectionSort()
{
local arr=("$@")
for i in `seq 0 $((${#arr[@]} - 2))`; do
local smaller=$i;
for j in `seq $(($i + 1)) $((${#arr[@]} - 1))`; do
if ((${arr[$j]} < ${arr[... | true |
f4c050a6b1ff90dd8505374cffdfb831cd601513 | Shell | jasmith79/jasmith79-dotfiles | /installers/wezterm.sh | UTF-8 | 358 | 3.171875 | 3 | [
"MIT",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
dotfiles_dir="$(dirname "$(dirname "$(readlink -f "$0")")")"
source "$dotfiles_dir/utils/ensure-stow.sh"
user=$(logname)
who=$(whoami)
if [[ $user = "" ]]; then
user="$SUDO_USER"
fi
if [[ $user = "" ]]; then
user="$who"
fi
mkdir -p ~/.old_configs
ensure-stow
pushd "$dotfiles_dir" || exit 1
stow -D... | true |
b2dd3ccf8524f329b9464dabbebfd911d0c71a83 | Shell | ribafs/postgresql | /Administracao/ScriptsShell/formatar_pd.sh | UTF-8 | 520 | 3 | 3 | [
"MIT"
] | permissive | kdialog --title "DNOCS - Formatacao de Pendrive - Ribamar FS" --msgbox "Espete o pendrive numa porta USB e tecle Enter."
nome=`kdialog --title "DNOCS - Formatacao de Pendrive" --inputbox "Digite um nome para o pendrive"`
kdialog --title "DNOCS - Formatacao de Pendrive" --yesno "Clique em Yes para Formatar e em No para ... | true |
9bc9466ec3e334cb706098a6aa46c9d6da77c869 | Shell | JStewart-QSFT/Polypkg | /tests/t-expand | UTF-8 | 422 | 2.765625 | 3 | [
"BSD-3-Clause",
"BSD-2-Clause",
"GPL-2.0-only"
] | permissive | #!/bin/sh
desc 'test %{} and %() expansion'
pp_front_end - foo=FOO bar=BAR<<-.
%post
: t-1=%{foo}
: t-2=%(echo \$bar | tr A K)
: t-3=%{foo} %{foo} %{foo} bar
.
grep 't-1=FOO' $TMPDIR/%post.run > /dev/null || fail "t-1 grep failed"
grep 't-2=BKR' $TMPDIR/%post.run > /dev/null || fail "t-2 gre... | true |
cb48f2f0361ecb7501737ff19fb8a7c6d19d23d9 | Shell | sagiraldogu/project_TUW | /guessinggame.sh | UTF-8 | 543 | 3.734375 | 4 | [] | no_license | echo "how many files do you think are in the directory?"
numero=$(ls -l | grep "^-"|wc -l)
read respuesta
function condicion {
if [[ $respuesta -lt $numero ]]
then
echo "your answer is less, try again"
else [[ $respuesta -gt $numero ]]
echo "your answer is higher, try again"
fi
}
if [[ $respuesta... | true |
a315f6029ecb54f5d5cbc35edeb7bc84125abe5b | Shell | slowstone/summary | /mxnet-thritf-test/cifar/cifar.sh | UTF-8 | 198 | 3.265625 | 3 | [] | no_license | #!/bin/bash
THIS_DIR="$( cd "$( dirname "$0" )" && pwd )"
cd $THIS_DIR
VALUE=""
while [ -n "$1" ]
do
VALUE=$VALUE" "$1
shift
done
echo "VALUE:" $VALUE
python cifar.py $VALUE | true |
028332d678c94210b7719eaf5f4d027855aeb772 | Shell | rsenn/plot-cv | /scripts/get-prototypes.sh | UTF-8 | 4,273 | 3.5625 | 4 | [] | no_license | #!/bin/sh
ME=`basename "$0" .sh`
THISDIR=`dirname "$0"`
BASEDIR=`cd "$THISDIR"/.. && pwd`
NL="
"
check_support_arg() {
(CMD="cproto -h 2>&1 | grep -q '^\\s*$1\\s'"
eval "$CMD") }
get_preprocessor() {
(set -- $(ls -d /usr/bin/cpp{,-[0-9]*} |sort -fuV )
eval "echo \$${#}") 2>/dev/null
}
check_exec() {
(CMD=... | true |
6f3991bb4399e5e2a166540df231a75a46eca0bf | Shell | haerangchoi/run-qemu-cache-distributed-sim | /runqemu.sh | UTF-8 | 783 | 2.546875 | 3 | [] | no_license | #!/bin/bash
set +e
echo "Drive: "$2
echo "Kernel: "$3
echo "Cores: "$4
echo "Trace events:"$5
echo "Trace file: "$6
echo "Memory: "$7
$1 -drive file=$2,format=qcow2\
-accel tcg\
-m $7,maxmem=$7\
-nographic\
-net nic -net user,hostfwd=tcp::2222-:22\
-append "root=/dev/sda1 console=tty... | true |
17dd2302f24935b4259e4468025c5a3542fe40a6 | Shell | lineCode/darcel | /build/posix/run_cmake.sh | UTF-8 | 389 | 3.515625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -o errexit
set -o pipefail
directory=$(dirname $(readlink -f $0))
if [ "$1" = "" ]
then
build_type="Release"
else
build_type=$1
fi
pushd $directory/../../library/build/posix/
./run_cmake.sh $build_type
popd
applications=""
applications+="darcel"
for i in $applications; do
pushd $directory/../../... | true |
9667bcc70ca513018cd15997b4391c2a3a16006b | Shell | BlackLight/CodeSterix | /ws/start_ws.sh | UTF-8 | 204 | 3.234375 | 3 | [] | no_license | #!/bin/bash
if [ -f "ws.pid" ]
then
echo "An instance is already running - if not, please delete the file ws.pid" >&2
exit 1
fi
node server.js 2>../log/ws_error.log &
PID=$!
echo $PID > ws.pid
| true |
382480901092c6862b74be516005ad1c9ba6d882 | Shell | grahamwren/config | /zsh/notebook.sh | UTF-8 | 1,756 | 3.28125 | 3 | [] | no_license | export _NOTEBOOK_DIR="$HOME/Documents/Notebook"
export _DEFAULT_NOTES="$_NOTEBOOK_DIR/default"
export _PSYCH_NOTES="$_NOTEBOOK_DIR/psyc1101"
export _SOFTWARE_DEV_NOTES="$_NOTEBOOK_DIR/cs4500"
alias edit_notebook_utils="$EDITOR $ZSH_CONFIG_DIR/notebook.sh && source $ZSH_CONFIG_DIR/notebook.sh"
export _NOTE_MODE="defau... | true |
07b6e2f801ae4893a62c505976780299efd37ecc | Shell | michaelherold/dotfiles-1 | /bin/branch-to-tag | UTF-8 | 483 | 3.890625 | 4 | [] | no_license | #!/bin/bash
git checkout master
git fetch
git remote prune origin
TAGGABLE=`git branch -r --merged master | sed 's/ *origin\///' | grep '^release-'`
if [[ -z "$TAGGABLE" ]]; then
exit 0
fi
echo "The following release branches are eligible to be tagged:"
for release in $TAGGABLE; do
echo $release
done
read -p "... | true |
2edd4bea1a3908a0eea689f2e1591f3e8edd8527 | Shell | chancesm/DashboardPi | /easyconfig/scripts/easyconfig | UTF-8 | 9,672 | 3.390625 | 3 | [] | no_license | #!/bin/bash
REQREBOOT=0
AUTOSTART=/home/pi/.config/lxsession/LXDE-pi/autostart
#NTP Helper Functions
do_ntp_enable(){
timedatectl set-ntp true
}
do_ntp_disable(){
timedatectl set-ntp false
}
do_ntp_set(){
TIMESERVER=$(whiptail --inputbox "Enter Timeserver Address" 20 60 time.ad.goodmanmfg.com 3>&1 1>&2 2>&3)
if ... | true |
2858fcef35582bab2d9b8bd6849b98a5a1d2da07 | Shell | WANDEX/.dotfiles | /.config/env/sources | UTF-8 | 566 | 2.765625 | 3 | [
"0BSD"
] | permissive | #!/bin/sh
# env var core file
# shellcheck disable=SC1090 ## can't follow non-constant source.
# shellcheck disable=SC1091 ## Not following (No such file or directory)
export ENVDIR="$HOME/.config/env"
export ENVSCR="$ENVDIR/scripts"
. "$ENVDIR/cleanup"
. "$ENVDIR/main"
. "$ENVDIR/manless"
. "$ENVDIR/path"
. "$ENVSC... | true |
804dd6f98e8ea060f320b1389b547a4410995bc4 | Shell | leelasd/graphmolsim | /main.sh | UTF-8 | 1,838 | 4.5 | 4 | [] | no_license | #!/bin/bash
#
# This is the main script.
# It runs the script which performes the virtual screening and then
# runs another script to get csv's with summary of the results.
#
# This script should be run in the root folder where are
# - datasets in folders according to difficulty
# - directory config with the configur... | true |
1dc3461244742a38a7b156d8a5fbdcaae766080d | Shell | smoe/IgDiscover | /tests/run.sh | UTF-8 | 1,445 | 3.140625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Run this within an activated igdiscover environment
set -euo pipefail
set -x
unset DISPLAY
pytest
rm -rf testrun
mkdir testrun
[[ -L testdata ]] || ln -s igdiscover-testdata testdata
# Test whether specifying primer sequences leads to a SyntaxError
igdiscover init --db=testdata/database --reads=testda... | true |
c61baa7c40c1340efa6db22cb7172e2a69ca27c5 | Shell | hoangdh/blog_backup | /crawler_vov2/live-nstq.sh | UTF-8 | 635 | 2.78125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# echo $1 $2
# nohup ffmpeg -re -i "$1" -c:v libx264 -b:v 1.5M -preset veryfast -c:a libfdk_aac -b:a 128k -f flv "rtmp://rtmp-api.facebook.com:80/rtmp/$2" > /dev/null 2>&1 &
echo $1
link=$(youtube-dl -f best --get-url $1)
if [ -z $3 ]
then
nohup ffmpeg -re -i "$link" -c:v libx264 -preset fast -c:a copy... | true |
290ea43eaebbcbcfcb85ee3d230c6e4f0e6c71fd | Shell | globalscaletechnologies/aws-iot-devkit-examples | /setup-demo.sh | UTF-8 | 8,995 | 4.15625 | 4 | [] | no_license | #!/bin/bash
mac=
type=
username="admin"
password="12345678"
pwhash="$2b$10$HMg1tI4h.IJTRTvZLLglyu4ydDDV6reaak9b/gfdGw1vk1WF7jhAO"
credential=0
ssid=
security=
wifipw=
ec2=0
ec2server=
output=./output
usage() {
echo -e "\nSetup aws iot sensor demo environment"
echo -e ""
echo -e "./setup-demo.sh [arguments... | true |
35934fe8fdb9e6b4193b6a507544f0293442091a | Shell | frebib/dotfiles | /zsh/plugins/git-rprompt.zsh | UTF-8 | 3,004 | 3.453125 | 3 | [] | no_license | # ZSH RPROMPT containing simple Git status
git_prompt_info() {
ref=$(git symbolic-ref HEAD 2> /dev/null) || return
echo "$ZSH_THEME_GIT_PROMPT_PREFIX${ref#refs/heads/}$ZSH_THEME_GIT_PROMPT_SUFFIX"
}
git_prompt_status() {
# Get the status of the working tree
INDEX=$(command git status --porcelain -b 2> ... | true |
ec7655c76755d083f308a8bcb549fae2076872d6 | Shell | futuretea/tools | /k8s/newlocalpv.sh | UTF-8 | 912 | 3.84375 | 4 | [] | no_license | #!/usr/bin/env bash
[[ -n $DEBUG ]] && set -x
set -eou pipefail
usage() {
cat <<HELP
USAGE:
newlocalpv.sh HOST BASE NAME [SIZE]
HELP
}
exit_err() {
echo >&2 "${1}"
exit 1
}
if [ $# -lt 3 ]; then
usage
exit 1
fi
HOST=$1
BASE=$2
NAME=$3
SIZE=${4:-"10"}
TEMPDIR=$(mktemp -d)
echo "${TEMPDIR}"/"... | true |
05ff89e9bf227d128127f9fc531e9a0d5c202d47 | Shell | aijingyi/shengcai | /testenv/bak.sh | UTF-8 | 365 | 2.640625 | 3 | [] | no_license |
#backup shengcai tools
TOOL="shengcai"
VER="20171101"
rm -rf /opt/rh/$TOOL*
mkdir /opt/rh/$TOOL
mkdir /opt/rh/$TOOL/prog
cd /opt/$TOOL/
cp -r mkresults README runtest testcases testenv list /opt/rh/$TOOL/
cp -r prog/*.tar* prog/*.tgz prog/soft_name /opt/rh/$TOOL/prog
cd /opt/rh
tar zcf $TOOL-$VER.tar.gz $TOOL
scp $TOO... | true |
1f0afa2cf75b667ba4d64c0de7ed8192db2b742c | Shell | step21/solidity | /scripts/install_obsolete_jsoncpp_1_7_4.sh | UTF-8 | 326 | 3.140625 | 3 | [
"GPL-3.0-only"
] | permissive | #!/usr/bin/env sh
set -e
TEMPDIR=$(mktemp -d)
(
cd $TEMPDIR
wget https://github.com/open-source-parsers/jsoncpp/archive/1.7.4.tar.gz
tar xvzf "1.7.4.tar.gz"
cd "jsoncpp-1.7.4"
mkdir -p build
cd build
cmake -DARCHIVE_INSTALL_DIR=. -G "Unix Makefiles" ..
make
make install
)
rm -rf $TE... | true |
bab15d65ec6387324a6557d2b70db70b90898711 | Shell | faun/genesis | /bin/setup | UTF-8 | 753 | 3.6875 | 4 | [] | no_license | #!/usr/bin/env sh
set -e
: ${DIGITAL_OCEAN_TOKEN:?"You must specify DIGITAL_OCEAN_TOKEN"}
if [[ "$OSTYPE" == darwin* ]]
then
if ! which vagrant > /dev/null
then
echo "Installing Vagrant"
brew cask install vagrant
else
echo "Vagrant is installed"
fi
if ! brew list -1 | grep -q "^libxml2\$"; then
... | true |
937b2a9a1c484ca19ccfc4be3c8aa88048ea6676 | Shell | drn/dots | /home/bash_profile | UTF-8 | 1,565 | 3.203125 | 3 | [
"MIT"
] | permissive | # set history size to 5000
HISTFILESIZE=5000
# disable bash session history
SHELL_SESSION_HISTORY=0
# enable terminal colors
export CLICOLOR=1
# Colors
ColorReset='\e[0m' # Text Reset
# Regular Colors
Black='\e[0;30m' # Black
Red='\e[0;31m' # Red
Green='\e[0;32m' # Green
Yellow='\e[0;33m... | true |
372021150f6672d618dd5c374ca39182b55ebb80 | Shell | dilerous/TerraFormCI | /configuration.sh | UTF-8 | 938 | 2.75 | 3 | [] | no_license | #!/bin/bash
set -e
echo " ----- install ruby and bundler ----- "
apt-get update
apt-get install -y ruby-full build-essential unzip
gem install --no-rdoc --no-ri bundler
echo " ----- install mongodb ----- "
apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv EA312927
echo "deb http://repo.mongodb.org/apt/... | true |
c1bd1259fcfc7b09dd03b0206733d5d4277bea15 | Shell | ericaltenburg/cs370 | /CS370-Shared/homework/reciprocalcycles/test_reciprocal_cycles.sh | UTF-8 | 1,954 | 3.78125 | 4 | [] | no_license | #!/bin/bash
file=ReciprocalCycles.java
if [ ! -f "$file" ]; then
echo -e "Error: File '$file' not found.\nTest failed."
exit 1
fi
num_right=0
total=0
line="________________________________________________________________________"
compiler=
interpreter=
language=
if [ "${file##*.}" = "py" ]; then
if [ ! -... | true |
279e488d1f535849824a55ff72081e4f988182bb | Shell | lfzCarlosC/crypto-signal | /modifyEmail.sh | UTF-8 | 1,332 | 3.34375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/bash
export emails=$2
export sender=$3
if [ "$1" = "easy" ]
then
rm -rf easy/*
cd origin_yml
for fullname in *.yml; do
filename=$(echo $fullname | sed 's/\.[^.]*$//')
easyFileName=$filename"_easy.yml"
cp -r $fullname ../easy/$easyFileName
touch ../easy/$filename".... | true |
0440948f830ddf78022660ec5b7adb8ba94b8c8f | Shell | grayhavenmotel/gh-scripts | /pianobar-management/gh-pianobar.txt | UTF-8 | 163 | 2.671875 | 3 | [] | no_license | #!/bin/bash
array[0]="file1.sdf"
array[1]="file2.sdf"
array[2]="file3.sdf"
array[3]="file4.sdf"
size=${#array[@]}
index=$(($RANDOM % $size))
echo ${array[$index]} | true |
f89db2e323b2618e5a111a3602d48e1e73c29e23 | Shell | smd105/hacking-private | /zide-test/components/modernish/lib/modernish/cap/BUG_NOUNSETEX.t | UTF-8 | 472 | 2.78125 | 3 | [
"ISC",
"CC0-1.0"
] | permissive | #! /shell/bug/test/for/moderni/sh
# See the file LICENSE in the main modernish directory for the licence.
# BUG_NOUNSETEX: Cannot assign export attribute to variables in an unset
# state; exporting a variable immediately sets it to the empty value.
# However, the empty variable is still not actually exported until ass... | true |
0b39431e53793d61e5823136dccf8b9fdbf8a22d | Shell | silentpete/bash-programming | /install_kubectl.sh | UTF-8 | 883 | 3.671875 | 4 | [] | no_license | #!/bin/bash
# Reference: https://kubernetes.io/docs/tasks/tools/install-kubectl/
if [[ $EUID -ne 0 ]]; then
echo "This script should be run using sudo or as the root user"
exit 1
fi
repo_file="/etc/yum.repos.d/kubernetes.repo"
content="[kubernetes]\nname=Kubernetes\nbaseurl=https://packages.cloud.google.com/yum/... | true |
5db4b6a62e090fc7e3f02691ff213dd5c16ced72 | Shell | CSCfi/Kielipankki-utilities | /scripts/cwbdata-calc-freqs.sh | UTF-8 | 2,225 | 3.953125 | 4 | [] | no_license | #! /bin/sh
# Calculate the absolute and relative frequencies of the values of a
# single positional attribute in a corpus or a group of corpora.
progname=`basename $0`
progdir=`dirname $0`
usage_header="Usage: $progname [options] corpus_id ... > output.tsv
Calculate the absolute and relative frequencies of the val... | true |
6e0c9c456d6250771245f8d093ca1c5593b3de42 | Shell | ms705/firmament-experiments | /helpers/scripts/run_kittydar.sh | UTF-8 | 442 | 2.625 | 3 | [] | no_license | #!/bin/bash
for j in $(seq $2); do
for i in $1; do
JOB_ID=$(python kittydar_submit.py localhost 8080 /home/srguser/firmament-experiments/workloads/kittydar/testing/test.js " --count=100" kittydar${i}_run${j}_100mot ${i} | grep "JOB ID" | cut -d' ' -f4)
echo "Kittydar, ${i} splits, run ${j}: ${JOB_ID}"
/h... | true |
ace86cd6e3dc8ba07ce746e4de3a26fff90a1fa2 | Shell | charlmert/nest | /octoplasm/setup.sh | UTF-8 | 615 | 3.765625 | 4 | [] | no_license | #!/bin/bash
# resolves symbolic links
function resolve_link() {
local LINK_FILE=${1:-${BASH_SOURCE[0]}}
local FILE_TYPE=`file $LINK_FILE | awk '{print $2}'`
local LINK_TO=$LINK_FILE
while [ $FILE_TYPE = "symbolic" ]; do
LINK_TO=$(readlink $LINK_TO)
FILE_TYPE=$(file $LINK_TO | awk '{print $2}')
done
echo ... | true |
2a8338a6768570d4767746e7edba4db6f7d1b32f | Shell | arpepper/arpepper-tools | /arpepper-tools/bin/xgetrdb | UTF-8 | 165 | 2.875 | 3 | [] | no_license | #!/bin/sh
a=`/bin/echo "$1" | sed -e 's/[.]/[.]/g' -e 's/[*]/.*/g'`
a=`xrdb -q | grep "$a" | sed -e 's/.*:[ ]*//'`
if [ -z "$a" ]; then
shift
a="$*"
fi
echo "$a"
| true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.